<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.simple-permission-mapper.permission-mappings">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="match-all,principals,roles,permissions,permission-sets"/>
        <elem name="complex-attribute" value="permission-mappings"/>
        <elem name="addr-params" value="profile,host,subsystem,simple-permission-mapper"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.simple-permission-mapper"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="simple-permission-mapper"/>
        <param name="permissions" nillable="true" type="List&lt;String&gt;"/>
        <param name="roles" nillable="true" type="List&lt;String&gt;"/>
        <param name="permission-sets" nillable="true" type="List&lt;String&gt;"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="principals" nillable="true" type="List&lt;String&gt;"/>
        <param name="match-all" nillable="true"/>
    </params>
</feature-spec>